View Issue Details

IDCategoryLast Update
0007543bugs2018-03-28 21:41
Reportermocha_beanAssigned To 
Reproducibilityalways 
Status newResolutionopen 
PlatformLinux x86_64OSArch LinuxOS Version4.14.13-1-ARCH
Product Version5.X git (version in description) 
Fixed in Version 
Summary0007543: Segfault when loading automation curves for plugins
DescriptionVersion: reproducible on 5.12 and 6.0-pre; backtrace is for 6.0-pre
Reproducible in JACK, ALSA, and Dummy modes; backtrace is for ALSA.

Whenever I load an automation curve for any plugin (e.g. a-Reverb), the curve is not displayed, and Ardour immediately segfaults.

If a session is loaded that already has plugin automation curves visible, Ardour will load the session successfully, and the curves function as expected.
Steps To Reproduce1. Launch Ardour, and open a session in any audio mode.
2. Create an audio track or bus, and insert a plugin on that track, if one is not already present.
3. In the editor window, right click on the far left side of the track to open the drop-down menu that contains "Automation."
4. Automation > Processor automation > [any plugin (e.g. "a-Reverb")] > [any parameter (e.g. "Enable")]
5. Immediately upon clicking any parameter (e.g. "Enable"), Ardour segfaults.
Additional Informationgtk2 version installed: 2.24.32

I was able to reproduce this issue on two different up-to-date Arch Linux systems.
TagsNo tags attached.

Activities

mocha_bean

2018-01-20 09:04

reporter  

backtrace (25,605 bytes)
Thread 1 "ardour-6.0.pre0" received signal SIGSEGV, Segmentation fault.
0x00007ffff39c331f in g_type_check_instance_is_fundamentally_a ()
   from /usr/lib/libgobject-2.0.so.0
(gdb) thread apply all bt

Thread 45 (Thread 0x7fff9cdf6700 (LWP 30688)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7942c74 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) () at /usr/lib/ardour6/libwaveview.so.0
#3  0x00007ffff7942fb3 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at /usr/lib/ardour6/libwaveview.so.0
#4  0x00007ffff7943359 in ArdourWaveView::WaveViewDrawingThread::run() () at /usr/lib/ardour6/libwaveview.so.0
#5  0x00007ffff7947fd8 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const () at /usr/lib/ardour6/libwaveview.so.0
#6  0x00007ffff7947b38 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const () at /usr/lib/ardour6/libwaveview.so.0
#7  0x00007ffff7947506 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libwaveview.so.0
#8  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 44 (Thread 0x7fffbeffd700 (LWP 30687)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7942c74 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) () at /usr/lib/ardour6/libwaveview.so.0
#3  0x00007ffff7942fb3 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at /usr/lib/ardour6/libwaveview.so.0
#4  0x00007ffff7943359 in ArdourWaveView::WaveViewDrawingThread::run() () at /usr/lib/ardour6/libwaveview.so.0
#5  0x00007ffff7947fd8 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const () at /usr/lib/ardour6/libwaveview.so.0
#6  0x00007ffff7947b38 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const () at /usr/lib/ardour6/libwaveview.so.0
#7  0x00007ffff7947506 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libwaveview.so.0
#8  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 43 (Thread 0x7fff9f7fe700 (LWP 30686)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7942c74 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) () at /usr/lib/ardour6/libwaveview.so.0
#3  0x00007ffff7942fb3 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at /usr/lib/ardour6/libwaveview.so.0
#4  0x00007ffff7943359 in ArdourWaveView::WaveViewDrawingThread::run() () at /usr/lib/ardour6/libwaveview.so.0
#5  0x00007ffff7947fd8 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator()() const () at /usr/lib/ardour6/libwaveview.so.0
#6  0x00007ffff7947b38 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator()() const () at /usr/lib/ardour6/libwaveview.so.0
#7  0x00007ffff7947506 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libwaveview.so.0
#8  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 42 (Thread 0x7fffbd7fa700 (LWP 30685)):
#0  0x00007ffff0608240 in nanosleep () at /usr/lib/libpthread.so.0
#1  0x00007ffff36eba21 in g_usleep () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6807f8b in ARDOUR::AutomationWatch::thread() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff680de4d in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff680da0d in void boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) ()
    at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff680d140 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff680d090 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff680c9c5 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 41 (Thread 0x7fff9ffff700 (LWP 30684)):
#0  0x00007ffff060439d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff6dc8669 in ARDOUR::Session::auto_connect_thread_run() () at /usr/lib/ardour6/libardour.so.3
#2  0x00007ffff6dc83ac in ARDOUR::Session::auto_connect_thread(void*) () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 40 (Thread 0x7fffbdffb700 (LWP 30683)):
#0  0x00007ffff060439d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff6e44145 in ARDOUR::Session::emit_thread_run() () at /usr/lib/ardour6/libardour.so.3
#2  0x00007ffff6e440e2 in ARDOUR::Session::emit_thread(void*) () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 39 (Thread 0x7fff9effd700 (LWP 30682)):
---Type <return> to continue, or q <return> to quit---
#0  0x00007fffeef8191b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff36c2023 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff36c23e2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff4399643 in BaseUI::main_thread() () at /usr/lib/ardour6/libpbd.so.4
#4  0x00007ffff439dcb8 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const () at /usr/lib/ardour6/libpbd.so.4
#5  0x00007ffff439d940 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const () at /usr/lib/ardour6/libpbd.so.4
#6  0x00007ffff439d2c0 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libpbd.so.4
#7  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 38 (Thread 0x7fffe0084700 (LWP 30681)):
#0  0x00007fffeef8191b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff43b1973 in CrossThreadChannel::poll_for_request() () at /usr/lib/ardour6/libpbd.so.4
#2  0x00007ffff43b19ef in CrossThreadChannel::receive(char&, bool) () at /usr/lib/ardour6/libpbd.so.4
#3  0x00007ffff681f625 in ARDOUR::Butler::thread_work() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff681f3ba in ARDOUR::Butler::_thread_work(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff43d6a2b in  () at /usr/lib/ardour6/libpbd.so.4
#6  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 37 (Thread 0x7fffbc482d80 (LWP 30680)):
#0  0x00007ffff0606cd6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff0606dc8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff69374d6 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff693583b in ARDOUR::Graph::run_one() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6935bee in ARDOUR::Graph::helper_thread() () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff693c73d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff693be19 in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff693b282 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff693a9f1 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) ()
    at /usr/lib/ardour6/libardour.so.3
#9  0x0000555555b258db in boost::function0<void>::operator()() const ()
#10 0x00007fffcde50d3c in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib/ardour6/backends/libalsa_audiobackend.so
#11 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 36 (Thread 0x7fffbc49bd80 (LWP 30679)):
#0  0x00007ffff0606cd6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff0606dc8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff69374d6 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff693583b in ARDOUR::Graph::run_one() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6935bee in ARDOUR::Graph::helper_thread() () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff693c73d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff693be19 in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff693b282 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff693a9f1 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) ()
    at /usr/lib/ardour6/libardour.so.3
#9  0x0000555555b258db in boost::function0<void>::operator()() const ()
#10 0x00007fffcde50d3c in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib/ardour6/backends/libalsa_audiobackend.so
#11 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 35 (Thread 0x7fffbc4b4d80 (LWP 30678)):
#0  0x00007ffff0606cd6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff0606dc8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff69374d6 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff6934bb4 in ARDOUR::Graph::restart_cycle() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6934ac3 in ARDOUR::Graph::dec_ref() () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff693cf43 in ARDOUR::GraphNode::finish(int) () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff69359c4 in ARDOUR::Graph::run_one() () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff6935ef1 in ARDOUR::Graph::main_thread() () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff693c73d in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () at /usr/lib/ardour6/libardour.so.3
#9  0x00007ffff693be19 in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () at /usr/lib/ardour6/libardour.so.3
#10 0x00007ffff693b282 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#11 0x00007ffff693a9f1 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) ()
    at /usr/lib/ardour6/libardour.so.3
#12 0x0000555555b258db in boost::function0<void>::operator()() const ()
#13 0x00007fffcde50d3c in ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) () at /usr/lib/ardour6/backends/libalsa_audiobackend.so
#14 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#15 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

---Type <return> to continue, or q <return> to quit---
Thread 34 (Thread 0x7fffbc4cdd80 (LWP 30677)):
#0  0x00007ffff0606cd6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff0606dc8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff69374d6 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff6d8c154 in ARDOUR::RTTaskList::run() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6d8bef6 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 33 (Thread 0x7fffbc4e6d80 (LWP 30676)):
#0  0x00007ffff0606cd6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff0606dc8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff69374d6 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff6d8c154 in ARDOUR::RTTaskList::run() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6d8bef6 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 32 (Thread 0x7fffbc4ffd80 (LWP 30675)):
#0  0x00007ffff0606cd6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff0606dc8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff69374d6 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff6d8c154 in ARDOUR::RTTaskList::run() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6d8bef6 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 26 (Thread 0x7fffbc7f7d80 (LWP 30669)):
#0  0x00007fffeef81a16 in ppoll () at /usr/lib/libc.so.6
#1  0x00007fffcde865a1 in Alsa_pcmi::pcm_wait() () at /usr/lib/ardour6/backends/libalsa_audiobackend.so
#2  0x00007fffcde5508a in ARDOUR::AlsaAudioBackend::main_process_thread() () at /usr/lib/ardour6/backends/libalsa_audiobackend.so
#3  0x00007fffcde4ecd0 in  () at /usr/lib/ardour6/backends/libalsa_audiobackend.so
#4  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 25 (Thread 0x7fffbe7fc700 (LWP 30668)):
#0  0x00007fffeef83753 in select () at /usr/lib/libc.so.6
#1  0x00007ffff43ef1e9 in PBD::SystemExec::output_interposer() () at /usr/lib/ardour6/libpbd.so.4
#2  0x00007ffff43ee386 in  () at /usr/lib/ardour6/libpbd.so.4
#3  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7fffbf7fe700 (LWP 30654)):
#0  0x00007fffeef8191b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff36c2023 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff36c23e2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffec2256d8 in  () at /usr/lib/libgio-2.0.so.0
#4  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7fffbffff700 (LWP 30653)):
#0  0x00007fffeef8191b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff36c2023 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff36c213e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff36c2192 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fffcf990700 (LWP 30644)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff67ac72d in ARDOUR::AudioEngine::do_devicelist_update() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff67b8e4b in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff67b88c5 in void boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) ()
    at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff67b80ae in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff67b789c in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff67b6b4b in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#11 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffd0191700 (LWP 30643)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff67ac4c2 in ARDOUR::AudioEngine::do_reset_backend() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff67b8e4b in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff67b88c5 in void boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) ()
    at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff67b80ae in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff67b789c in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff67b6b4b in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffd3fff700 (LWP 30641)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff675c825 in ARDOUR::Analyser::work() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff675c5bc in  () at /usr/lib/ardour6/libardour.so.3
#4  0x000055555636a293 in sigc::pointer_functor0<void>::operator()() const ()
#5  0x0000555556366e9c in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#6  0x0000555556362710 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
#7  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#8  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffe0c5e700 (LWP 30640)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6edba87 in  () at /usr/lib/ardour6/libardour.so.3
#3  0x000055555636a293 in sigc::pointer_functor0<void>::operator()() const ()
#4  0x0000555556366e9c in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#5  0x0000555556362710 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
#6  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#7  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#8  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffe145f700 (LWP 30639)):
#0  0x00007fffeef86819 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff3708ce1 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6edba87 in  () at /usr/lib/ardour6/libardour.so.3
#3  0x000055555636a293 in sigc::pointer_functor0<void>::operator()() const ()
#4  0x0000555556366e9c in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator()() const ()
#5  0x0000555556362710 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it(sigc::internal::slot_rep*) ()
#6  0x00007ffff3c2dcbd in  () at /usr/lib/libglibmm-2.4.so.1
#7  0x00007ffff36ea29a in  () at /usr/lib/libglib-2.0.so.0
#8  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffe1c60700 (LWP 30638)):
#0  0x00007ffff0608240 in nanosleep () at /usr/lib/libpthread.so.0
#1  0x00007ffff36eba21 in g_usleep () at /usr/lib/libglib-2.0.so.0
#2  0x00005555566c4da3 in  ()
#3  0x00007ffff05fe08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fffeef8be1f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ffff7f88940 (LWP 30634)):
#0  0x00007ffff39c331f in g_type_check_instance_is_fundamentally_a () at /usr/lib/libgobject-2.0.so.0
#1  0x00007ffff39a0b6f in g_object_ref () at /usr/lib/libgobject-2.0.so.0
#2  0x00007ffff2f65125 in  () at /usr/lib/libgtk-x11-2.0.so.0
#3  0x00007ffff2f617cc in  () at /usr/lib/libgtk-x11-2.0.so.0
#4  0x00007ffff399bc5d in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#5  0x00007ffff39afb50 in  () at /usr/lib/libgobject-2.0.so.0
#6  0x00007ffff39b8191 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#7  0x00007ffff39b9240 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#8  0x00007ffff307c153 in  () at /usr/lib/libgtk-x11-2.0.so.0
#9  0x00007ffff2f5ff1b in gtk_main_do_event () at /usr/lib/libgtk-x11-2.0.so.0
#10 0x00007ffff2bd8d5e in  () at /usr/lib/libgdk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#11 0x00007ffff36c1e68 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#12 0x00007ffff36c20b1 in  () at /usr/lib/libglib-2.0.so.0
#13 0x00007ffff36c23e2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#14 0x00007ffff2f5edf3 in gtk_main () at /usr/lib/libgtk-x11-2.0.so.0
#15 0x00007ffff4770777 in Gtkmm2ext::UI::run(Receiver&) () at /usr/lib/ardour6/libgtkmm2ext.so.0
#16 0x00005555560c662d in  ()
#17 0x00007fffeeeb6f4a in __libc_start_main () at /usr/lib/libc.so.6
#18 0x0000555555af796a in  ()
(gdb) 

backtrace (25,605 bytes)

mocha_bean

2018-01-20 09:29

reporter   ~0020121

Issue is no longer present after downgrading from glib 2.54.3 to 2.54.2. Given also that the segfault points to libgobject-2.0.so.0, this might narrow down the issue.

x42

2018-01-23 11:10

administrator   ~0020130

Did you re-compile Ardour and gtk, gtkmm after up/downgrade of libgobject?

mocha_bean

2018-01-23 14:07

reporter   ~0020132

Last edited: 2018-01-23 14:15

View 2 revisions

No, I did not recompile anything after downgrading glib. I compiled Ardour 6.0-pre while glib 2.54.3 was installed. gtk and gtkmm were installed as binaries, and both are on versions 2.24.32 and 2.24.5, respectively, from the Arch repos.

tuxem

2018-03-08 18:27

reporter   ~0020205

I confirm what mocha_bean reported.

I'm also on archlinux on 2 PCs. With the glib2 upgrade to 2.54.3 automation on plugins make Ardour (5 and 6) crash. Downgrading glib to 2.53.2 without re-install/compile Ardour, it solves the issue.

Thanks mocha_bean for the workaround ;)

timbyr

2018-03-09 00:55

developer   ~0020206

It sounds like this issue is specific to the version of glib2 in Arch.

It may not be an Arch specific bug but it would be worth at least reporting it to the Arch bug tracker if it hasn't been already.

somethingtohide

2018-03-27 20:04

reporter   ~0020223

Although I'm also on Arch Linux and affected by this, I don't believe the Arch bug tracker is the appropriate solution. AFAIK nothing is done to glib except to package the upstream releases. I've started another bugreport for glib on the GNOME bugtracker: https://bugzilla.gnome.org/show_bug.cgi?id=794740

I'm experiencing the same issue and it's show-stopping working without automation. At this point, glib2 in Arch has moved to 2.56.0 and the bug is still present. I cannot confirm that downgrading to 2.54.2 will work (I still have the package just in case) because other system libraries have been updated that rely on symbols from the new versions and I don't want to chase all of those down.

I totally understand Ardour's developers' situation and that unofficial builds and environments are unsupported. I'm sure everything works well when you're carefully controlling the libraries and environments. I may be wrong, but I think that Ardour's codebase is a possibility for fault here, even though it's revealed by a glib2 update.

That said, if there's a possibility that Ardour could be patched such that it works with the previous and current glib2, I'm willing to help out. I'm a developer, but I don't have experience with GTK fundamentals or Ardour's codebase.

somethingtohide

2018-03-27 23:06

reporter   ~0020224

I must take back some of what I said. I was definitely having this issue with 2.56.0, but I am in a working state now. GTK developers confirmed that 2.53.3 was a bad release. I assumed the issue was still present in 2.56.0 because I had the same symptoms.

However, in rebuilding 2.56.0 with debugging symbols for bug-fixing, the issue is resolved. This leads me to believe that there could have been an issue with the distribution packaging. 2.56.0 from the repository was causing this crash, but my debugging re-build with the same packaging script is working fine.

Since this is working now, I see log messages that I was not able to get to before, but they seem to happen as I'm working with automations. Considering we know somewhat about where this stems from, this seems relevant:

(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:1002): GLib-GObject-CRITICAL **: 16:55:18.694: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

mocha_bean

2018-03-27 23:33

reporter   ~0020225

Last edited: 2018-03-27 23:34

View 2 revisions

Nice work on that, somethingtohide.

I actually just got through doing some tests on a VM running Ubuntu 18.04 beta (with glib 2.56 installed). This could help shed some light on the issue.

I attempted to reproduce the bug in Ardour 5.12 (binary, from the repos) as well as in a locally-compiled copy of Ardour 6.0-pre0 with debugging. Neither crashed upon attempting to reproduce the issue. I also got a similar error output in the terminal both times when I tried to load the automation curves.

6.0-pre0:

(ardour-6.0.pre0.652:5143): GLib-GObject-CRITICAL **: 17:58:24.373: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.0.pre0.652:5143): GLib-GObject-CRITICAL **: 17:58:24.374: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.0.pre0.652:5143): GLib-GObject-CRITICAL **: 17:58:24.374: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.0.pre0.652:5143): GLib-GObject-CRITICAL **: 17:58:24.374: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.0.pre0.652:5143): GLib-GObject-CRITICAL **: 17:58:24.374: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-6.0.pre0.652:5143): GLib-GObject-CRITICAL **: 17:58:24.374: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

5.12:

(ardour-5.12.0:6569): Gdk-CRITICAL **: 18:18:32.570: IA__gdk_window_get_origin: assertion 'GDK_IS_WINDOW (window)' failed
(ardour-5.12.0:6569): Gdk-CRITICAL **: 18:18:32.570: IA__gdk_window_get_origin: assertion 'GDK_IS_WINDOW (window)' failed
(ardour-5.12.0:6569): GLib-GObject-CRITICAL **: 18:18:37.459: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:6569): GLib-GObject-CRITICAL **: 18:18:37.459: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:6569): GLib-GObject-CRITICAL **: 18:18:37.459: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:6569): GLib-GObject-CRITICAL **: 18:18:37.459: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:6569): GLib-GObject-CRITICAL **: 18:18:37.459: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
(ardour-5.12.0:6569): GLib-GObject-CRITICAL **: 18:18:37.459: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

Given that the issue can't be reproduced in Ubuntu, and given your tests with your build of 2.56, it's probably a pretty safe bet that this is an issue on Arch's side.

mocha_bean

2018-03-27 23:49

reporter   ~0020226

Also, somethingtohide, what are the configuration options you used when building glib?

Was it just `--enable-debug`?

somethingtohide

2018-03-27 23:57

reporter   ~0020227

Using info from:
https://wiki.archlinux.org/index.php/Arch_Build_System
https://wiki.archlinux.org/index.php/Debug_-_Getting_Traces

I ran:
asp checkout glib2

Went into trunk and modified the PKGBUILD. I simply added "debug !strip" to options, such that line 17 looked like:
options=(debug !strip !emptydirs)

Simple "makepkg -sri" from there. It's possible that tweak alone made the difference, but I doubt it. I'm beginning to suspect that the package in the repos for 2.56.0 was not built correctly in some way, or that doing it on my machine without a clean chroot created a working version.

I can possibly help more, but since it's working I'm a little preoccupied now :P

mocha_bean

2018-03-28 03:04

reporter   ~0020228

Just tried it myself, and my results were consistent with yours. With the debug options (debug !strip !emptydirs), the issue was not present.

I also tried building the package with default settings (just !emptydirs) and the issue WAS present.

Looks like your tweak did make the difference. Apparently glib2 only works without the debug symbols stripped? Beats me.

mocha_bean

2018-03-28 04:37

reporter   ~0020229

Also, interestingly, glib 2.56 is NOT compiled with debugging symbols on Ubuntu.

So, in Arch, it does not work with debug symbols stripped, but in Ubuntu, it works fine with the debug symbols stripped.

Looks like an issue on Arch's end, but this makes it pretty difficult to pin down.

mocha_bean

2018-03-28 05:37

reporter   ~0020230

Perhaps it's specifically an issue with makepkg? i.e. it's screwing something up with the glib2 package when the strip option is enabled.

mocha_bean

2018-03-28 07:28

reporter   ~0020231

Alright, I've figured out something important here. The problem's in the PKGBUILD.

The reason Ardour doesn't crash when glib2 2.56 is compiled with `options=(debug !strip !emptydirs)` is because there's a line in build() that checks whether or not the debug option is enabled.

These first two lines in build() create a variable 'debug' equal to "minimum", and then run a check_option to see whether the debug option is disabled. If so, the check_option returns 0 and the condition of the && is satisfied, so the 'debug' variable is then set to "yes". Otherwise, it stays at "minimum":

  local debug=minimum
  check_option debug n && debug=yes

By default, the debug option in makepkg is disabled, so the condition of the && will be satisfied and the 'debug' variable will equal "yes".

Farther down the line, the ./configure options are set, and this line is present:

  --enable-debug=$debug

So, by default, ./configure will run with `--enable-debug=yes`. But if you set `debug` in the options, then `check_option debug n` will not return 0, the 'debug' variable will stay at minimum, and ./configure will run with `--enable-debug=minimum`. As per glib documentation (https://developer.gnome.org/glib/stable/glib-building.html), setting it to "minimum" just disables cast checks, and setting it to "yes" enables runtime debugging. These settings have nothing to do with whether or not debug symbols are retained.

I built the package again with default options, i.e. options=(!emptydirs), so debug symbols are stripped as is default. I commented out the first two lines of build() (i.e. `local debug=minimum` and `check_option debug n && debug=yes` and set `--enable-debug=minimum`, taking the 'debug' variable out of the equation.

This resolved the issue, without debug symbols present.

Conclusions to be drawn from this:

* Ardour does not crash with any version of glib compiled with --enable-debug=minimum
* Ardour crashes with glib >=2.54.3 compiled with --enable-debug=yes, presumably regardless of distro (assuming that Ubuntu's glib2 is compiled with --enable-debug=minimum, which is, according to GNOME, the default for stable releases) (this conclusion is worth testing on Ubuntu, but it's probably a pretty safe conclusion)
* Arch's PKGBUILD compiles glib2 with --enable-debug=yes when makepkg's debug option is false (which it is by default), for no discernible reason whatsoever.

somethingtohide

2018-03-28 13:48

reporter   ~0020233

Good looking out. Actually, it may not even be about glib2 >= 2.54.3 compared to <= 2.54.2... This is looking more like an entirely Arch-related issue.

The PKGBUILD for 2.54.3 introduced a new way of building glib2, including the --enable-debug line. Check out the changes here: https://git.archlinux.org/svntogit/packages.git/commit/trunk/PKGBUILD?h=packages/glib2&id=2af117ea91369101715a5f39ee6063bbf07d8820

mocha_bean

2018-03-28 21:41

reporter   ~0020234

Nice find. That does still leave the question of why Ardour is crashing when real-time debugging is enabled for glib. My guess is that the option probably causes that 'GLib-GObject-CRITICAL' error to crash the program instead of just throwing an error like it would if --enable-debug was set to minimum like it should be. I provided more detail on the debug options - and how they effect Ardour crashing - in the GNOME bugtracker: https://bugzilla.gnome.org/show_bug.cgi?id=794740

I'd imagine the only concern here for Ardour would be fixing that critical glib error, if that's worth anything, given it doesn't crash the program unless some debug options are set.

Here's the relevant bug report for Arch; someone's apparently already started it and I'd rather not make a duplicate:

https://bugs.archlinux.org/index.php?do=details&task_id=57785

I'll also attach another backtrace here (performed with glib compiled w/debug symbols, --enable-debug=minimum, and env var G_DEBUG=fatal-criticals) to provide devs with more info on that glib error.

mocha_bean

2018-03-28 21:41

reporter  

enabledebug-minimum_fatal-criticals_with-symbols_backtrace (24,084 bytes)
(ardour-6.0.pre0.654:5806): GLib-GObject-CRITICAL **: 15:38:40.536: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Thread 1 "ardour-6.0.pre0" received signal SIGTRAP, Trace/breakpoint trap.
_g_log_abort (breakpoint=breakpoint@entry=1) at gmessages.c:583
583	}
(gdb) thread apply all bt

Thread 39 (Thread 0x7fffc576a700 (LWP 5856)):
#0  0x00007ffff05ce260 in nanosleep () at /usr/lib/libpthread.so.0
#1  0x00007ffff36a71b1 in g_usleep (microseconds=<optimized out>) at gtimer.c:259
#2  0x00007ffff67ed3ed in ARDOUR::AutomationWatch::thread() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff67f32af in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator()(ARDOUR::AutomationWatch*) const () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff67f2e6f in void boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>&, boost::_bi::list0&, int) ()
    at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff67f25a2 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff67f24f2 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator()() const () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff67f1e27 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff3be8cbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36a5a2a in g_thread_proxy (data=0x555559dd5e80) at gthread.c:784
#10 0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 38 (Thread 0x7fffab7fe700 (LWP 5855)):
#0  0x00007ffff05ca3bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff6dbac5f in ARDOUR::Session::auto_connect_thread_run() () at /usr/lib/ardour6/libardour.so.3
#2  0x00007ffff6dba9a2 in ARDOUR::Session::auto_connect_thread(void*) () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 37 (Thread 0x7fffaaffd700 (LWP 5854)):
#0  0x00007ffff05ca3bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff6e366fb in ARDOUR::Session::emit_thread_run() () at /usr/lib/ardour6/libardour.so.3
#2  0x00007ffff6e36698 in ARDOUR::Session::emit_thread(void*) () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 36 (Thread 0x7fffaa7fc700 (LWP 5853)):
#0  0x00007fffeef4697b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff367d523 in g_main_context_poll (priority=<optimized out>, n_fds=5, fds=0x7fff800e26f0, timeout=<optimized out>, context=0x555558d65db0) at gmain.c:4204
#2  0x00007ffff367d523 in g_main_context_iterate (context=0x555558d65db0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007ffff367d8e2 in g_main_loop_run (loop=0x555558d65ef0) at gmain.c:4099
#4  0x00007ffff4352643 in BaseUI::main_thread() () at /usr/lib/ardour6/libpbd.so.4
#5  0x00007ffff4356cb8 in sigc::bound_mem_functor0<void, BaseUI>::operator()() const () at /usr/lib/ardour6/libpbd.so.4
#6  0x00007ffff4356940 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator()() const () at /usr/lib/ardour6/libpbd.so.4
#7  0x00007ffff43562c0 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libpbd.so.4
#8  0x00007ffff3be8cbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36a5a2a in g_thread_proxy (data=0x555558158850) at gthread.c:784
#10 0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 35 (Thread 0x7fffd00a7700 (LWP 5852)):
#0  0x00007fffeef4697b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff436a973 in CrossThreadChannel::poll_for_request() () at /usr/lib/ardour6/libpbd.so.4
#2  0x00007ffff436a9ef in CrossThreadChannel::receive(char&, bool) () at /usr/lib/ardour6/libpbd.so.4
#3  0x00007ffff6804a87 in ARDOUR::Butler::thread_work() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff680481c in ARDOUR::Butler::_thread_work(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff438fa2b in  () at /usr/lib/ardour6/libpbd.so.4
#6  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 34 (Thread 0x7fffc43fbd80 (LWP 5850)):
#0  0x00007ffff05cccf6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff05ccde8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff691cc78 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff691afdd in ARDOUR::Graph::run_one() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff691b390 in ARDOUR::Graph::helper_thread() () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff6921edf in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff69215bb in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff6920a24 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff6920193 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) ()
    at /usr/lib/ardour6/libardour.so.3
#9  0x0000555555b2197b in  ()
#10 0x00007fffffffabcf in  ()
#11 0x00007fffc43fb330 in  ()
#12 0x0000000000000000 in  ()
---Type <return> to continue, or q <return> to quit---

Thread 33 (Thread 0x7fffc4415d80 (LWP 5849)):
#0  0x00007ffff05cccf6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff05ccde8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff691cc78 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff691afdd in ARDOUR::Graph::run_one() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff691b390 in ARDOUR::Graph::helper_thread() () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff6921edf in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff69215bb in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff6920a24 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff6920193 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) ()
    at /usr/lib/ardour6/libardour.so.3
#9  0x0000555555b2197b in  ()
#10 0x00007fffffffabcf in  ()
#11 0x00007fffc4415330 in  ()
#12 0x0000000000000000 in  ()

Thread 32 (Thread 0x7fffc442fd80 (LWP 5848)):
#0  0x00007ffff05cccf6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff05ccde8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff691cc78 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff691a356 in ARDOUR::Graph::restart_cycle() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff691a265 in ARDOUR::Graph::dec_ref() () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff69226e5 in ARDOUR::GraphNode::finish(int) () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff691b166 in ARDOUR::Graph::run_one() () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff691b693 in ARDOUR::Graph::main_thread() () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff6921edf in boost::_mfi::mf0<void, ARDOUR::Graph>::operator()(ARDOUR::Graph*) const () at /usr/lib/ardour6/libardour.so.3
#9  0x00007ffff69215bb in void boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::Graph>&, boost::_bi::list0&, int) () at /usr/lib/ardour6/libardour.so.3
#10 0x00007ffff6920a24 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#11 0x00007ffff6920193 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke(boost::detail::function::function_buffer&) ()
    at /usr/lib/ardour6/libardour.so.3
#12 0x0000555555b2197b in  ()
#13 0x00007fffffffabcf in  ()
#14 0x00007fffc442f330 in  ()
#15 0x0000000000000000 in  ()

Thread 31 (Thread 0x7fffc4449d80 (LWP 5847)):
#0  0x00007ffff05cccf6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff05ccde8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff691cc78 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff6d7e624 in ARDOUR::RTTaskList::run() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6d7e3c6 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 30 (Thread 0x7fffc4463d80 (LWP 5846)):
#0  0x00007ffff05cccf6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff05ccde8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff691cc78 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff6d7e624 in ARDOUR::RTTaskList::run() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6d7e3c6 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 29 (Thread 0x7fffc447dd80 (LWP 5845)):
#0  0x00007ffff05cccf6 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007ffff05ccde8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff691cc78 in PBD::Semaphore::wait() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff6d7e624 in ARDOUR::RTTaskList::run() () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff6d7e3c6 in ARDOUR::RTTaskList::_thread_run(void*) () at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 24 (Thread 0x7fffabfff700 (LWP 5840)):
#0  0x00007fffeef4b879 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff36c452d in g_cond_wait_until (cond=cond@entry=0x5555571b9518, mutex=mutex@entry=0x5555571b9510, end_time=end_time@entry=15244365969) at gthread-posix.c:1449
#2  0x00007ffff364f903 in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x5555571b9510, wait=wait@entry=1, end_time=end_time@entry=15244365969) at gasyncqueue.c:422
#3  0x00007ffff364feee in g_async_queue_timeout_pop (queue=0x5555571b9510, timeout=timeout@entry=15000000) at gasyncqueue.c:543
#4  0x00007ffff36a6541 in g_thread_pool_wait_for_new_pool () at gthreadpool.c:167
---Type <return> to continue, or q <return> to quit---
#5  0x00007ffff36a6541 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:364
#6  0x00007ffff36a5a2a in g_thread_proxy (data=0x555557746e80) at gthread.c:784
#7  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 23 (Thread 0x7fffc4f69700 (LWP 5838)):
#0  0x00007ffff05ce260 in nanosleep () at /usr/lib/libpthread.so.0
#1  0x00007ffff36a71b1 in g_usleep (microseconds=<optimized out>) at gtimer.c:259
#2  0x00007fffd8436ba7 in ARDOUR::DummyAudioBackend::main_process_thread() () at /usr/lib/ardour6/backends/libdummy_audiobackend.so
#3  0x00007fffd843254c in  () at /usr/lib/ardour6/backends/libdummy_audiobackend.so
#4  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7fffc75bf700 (LWP 5817)):
#0  0x00007fffeef4697b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff367d523 in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x5555571ca2c0, timeout=<optimized out>, context=0x5555571caac0) at gmain.c:4204
#2  0x00007ffff367d523 in g_main_context_iterate (context=0x5555571caac0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007ffff367d8e2 in g_main_loop_run (loop=0x5555571c8e30) at gmain.c:4099
#4  0x00007fffebfe4328 in gdbus_shared_thread_func (user_data=0x5555571caa90) at gdbusprivate.c:275
#5  0x00007ffff36a5a2a in g_thread_proxy (data=0x55555718dd90) at gthread.c:784
#6  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fffc7dc0700 (LWP 5816)):
#0  0x00007fffeef4697b in poll () at /usr/lib/libc.so.6
#1  0x00007ffff367d523 in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x5555571c0010, timeout=<optimized out>, context=0x5555571badf0) at gmain.c:4204
#2  0x00007ffff367d523 in g_main_context_iterate (context=context@entry=0x5555571badf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007ffff367d63e in g_main_context_iteration (context=0x5555571badf0, may_block=may_block@entry=1) at gmain.c:3964
#4  0x00007ffff367d692 in glib_worker_main (data=<optimized out>) at gmain.c:5773
#5  0x00007ffff36a5a2a in g_thread_proxy (data=0x55555718db70) at gthread.c:784
#6  0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fffd37fe700 (LWP 5815)):
#0  0x00007fffeef4b879 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff36c4411 in g_cond_wait (cond=0x555557078bf8, mutex=0x555557078c08) at gthread-posix.c:1402
#2  0x00007ffff6791ad1 in ARDOUR::AudioEngine::do_devicelist_update() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff679e1ef in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff679dc69 in void boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) ()
    at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff679d452 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff679cc40 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff679beef in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff3be8cbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36a5a2a in g_thread_proxy (data=0x555557093940) at gthread.c:784
#10 0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffd3fff700 (LWP 5814)):
#0  0x00007fffeef4b879 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff36c4411 in g_cond_wait (cond=0x555557078bc8, mutex=0x555557078bd8) at gthread-posix.c:1402
#2  0x00007ffff6791866 in ARDOUR::AudioEngine::do_reset_backend() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff679e1ef in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator()(ARDOUR::AudioEngine*) const () at /usr/lib/ardour6/libardour.so.3
#4  0x00007ffff679dc69 in void boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR::AudioEngine>&, boost::_bi::list0&, int) ()
    at /usr/lib/ardour6/libardour.so.3
#5  0x00007ffff679d452 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator()() () at /usr/lib/ardour6/libardour.so.3
#6  0x00007ffff679cc40 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator()() const () at /usr/lib/ardour6/libardour.so.3
#7  0x00007ffff679beef in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it(sigc::internal::slot_rep*) () at /usr/lib/ardour6/libardour.so.3
#8  0x00007ffff3be8cbd in  () at /usr/lib/libglibmm-2.4.so.1
#9  0x00007ffff36a5a2a in g_thread_proxy (data=0x5555570938f0) at gthread.c:784
#10 0x00007ffff05c408c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fffeef50e7f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffdbfff700 (LWP 5813)):
#0  0x00007fffeef4b879 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff36c4411 in g_cond_wait (cond=0x7ffff7663990 <ARDOUR::Analyser::SourcesToAnalyse>, mutex=0x7ffff7663980 <ARDOUR::Analyser::analysis_queue_lock>) at gthread-posix.c:1402
#2  0x00007ffff6741875 in ARDOUR::Analyser::work() () at /usr/lib/ardour6/libardour.so.3
#3  0x00007ffff674160c in  () at /usr/lib/ardour6/libardour.so.3
#4  0x0000555556371a89 in  ()
---Type <return> to continue, or q <return> to quit---
#5  0x0000000000000000 in  ()

Thread 4 (Thread 0x7fffe0b1d700 (LWP 5812)):
#0  0x00007fffeef4b879 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff36c4411 in g_cond_wait (cond=0x7ffff76665b0 <ARDOUR::SourceFactory::PeaksToBuild>, mutex=0x7ffff76665c0 <ARDOUR::SourceFactory::peak_building_lock>) at gthread-posix.c:1402
#2  0x00007ffff6eced9d in  () at /usr/lib/ardour6/libardour.so.3
#3  0x0000555556371a89 in  ()
#4  0x0000000000000000 in  ()

Thread 3 (Thread 0x7fffe131e700 (LWP 5811)):
#0  0x00007fffeef4b879 in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff36c4411 in g_cond_wait (cond=0x7ffff76665b0 <ARDOUR::SourceFactory::PeaksToBuild>, mutex=0x7ffff76665c0 <ARDOUR::SourceFactory::peak_building_lock>) at gthread-posix.c:1402
#2  0x00007ffff6eced9d in  () at /usr/lib/ardour6/libardour.so.3
#3  0x0000555556371a89 in  ()
#4  0x0000000000000000 in  ()

Thread 2 (Thread 0x7fffe1b1f700 (LWP 5810)):
#0  0x00007ffff05ce260 in nanosleep () at /usr/lib/libpthread.so.0
#1  0x00007ffff36a71b1 in g_usleep (microseconds=<optimized out>) at gtimer.c:259
#2  0x00005555566ce5a7 in  ()
#3  0x0000000000000000 in  ()

Thread 1 (Thread 0x7ffff7f95940 (LWP 5806)):
#0  0x00007ffff3682ed2 in _g_log_abort (breakpoint=breakpoint@entry=1) at gmessages.c:583
#1  0x00007ffff368423d in g_logv (log_domain=0x7ffff39853c4 "GLib-GObject", log_level=G_LOG_LEVEL_CRITICAL, format=<optimized out>, args=args@entry=0x7fffffffdc30) at gmessages.c:1391
#2  0x00007ffff36843a0 in g_log (log_domain=log_domain@entry=0x7ffff39853c4 "GLib-GObject", log_level=log_level@entry=G_LOG_LEVEL_CRITICAL, format=format@entry=0x7ffff36d0e67 "%s: assertion '%s' failed") at gmessages.c:1432
#3  0x00007ffff3684c1a in g_return_if_fail_warning (log_domain=log_domain@entry=0x7ffff39853c4 "GLib-GObject", pretty_function=pretty_function@entry=0x7ffff3988838 <__func__.14425> "g_object_ref", expression=expression@entry=0x7ffff39875fc "G_IS_OBJECT (object)")
    at gmessages.c:2809
#4  0x00007ffff395c71e in g_object_ref (_object=0x5555572e5b20) at gobject.c:3206
#5  0x00007ffff2f1f125 in  () at /usr/lib/libgtk-x11-2.0.so.0
#6  0x00007ffff2f1b7cc in  () at /usr/lib/libgtk-x11-2.0.so.0
#10 0x00007ffff3974130 in <emit signal ??? on instance 0x5555572e8d70 [GtkWindow]> (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3447
    #7  0x00007ffff3957a4d in g_closure_invoke (closure=0x55555b1ef6e0, return_value=0x7fffffffdee0, n_param_values=2, param_values=0x7fffffffdf40, invocation_hint=0x7fffffffdec0) at gclosure.c:804
    #8  0x00007ffff396ae40 in signal_emit_unlocked_R (node=node@entry=0x55555710fb60, detail=detail@entry=0, instance=instance@entry=0x5555572e8d70, emission_return=emission_return@entry=0x7fffffffe060, instance_and_params=instance_and_params@entry=0x7fffffffdf40)
    at gsignal.c:3635
    #9  0x00007ffff3973081 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffffffe110) at gsignal.c:3401
#11 0x00007ffff3036153 in  () at /usr/lib/libgtk-x11-2.0.so.0
#12 0x00007ffff2f19f1b in gtk_main_do_event () at /usr/lib/libgtk-x11-2.0.so.0
#13 0x00007ffff2b92d5e in  () at /usr/lib/libgdk-x11-2.0.so.0
#14 0x00007ffff367d368 in g_main_dispatch (context=0x5555570b6020) at gmain.c:3177
#15 0x00007ffff367d368 in g_main_context_dispatch (context=context@entry=0x5555570b6020) at gmain.c:3830
#16 0x00007ffff367d5b1 in g_main_context_iterate (context=0x5555570b6020, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3903
#17 0x00007ffff367d8e2 in g_main_loop_run (loop=0x55555a3d8090) at gmain.c:4099
#18 0x00007ffff2f18df3 in gtk_main () at /usr/lib/libgtk-x11-2.0.so.0
#19 0x00007ffff4729777 in Gtkmm2ext::UI::run(Receiver&) () at /usr/lib/ardour6/libgtkmm2ext.so.0
#20 0x00005555560c5e69 in  ()
#21 0x00007fffffffe6e8 in  ()
#22 0x0000000156f11188 in  ()
#23 0x00007fffffffe520 in  ()
#24 0x0000555555afb006 in  ()
#25 0x00007fffffffe540 in  ()
#26 0x0000555556f11180 in  ()
#27 0x00007fffffffe540 in  ()
#28 0x0000555555afb03e in  ()
#29 0x00000000000000fa in  ()
#30 0x00007fffef812cc0 in std::basic_ios<wchar_t, std::char_traits<wchar_t> >::~basic_ios() (this=<optimized out>, __in_chrg=<optimized out>) at /build/gcc/src/gcc-build/x86_64-pc-linux-gnu/libstdc++-v3/include/bits/basic_ios.h:282
#31 0x00007fffef812cc0 in std::basic_ostream<wchar_t, std::char_traits<wchar_t> >::basic_ostream(std::basic_streambuf<wchar_t, std::char_traits<wchar_t> >*) (__sb=<optimized out>, this=<optimized out>, __in_chrg=<optimized out>, __vtt_parm=<optimized out>)
    at /build/gcc/src/gcc-build/x86_64-pc-linux-gnu/libstdc++-v3/include/ostream:85
#32 0x00007fffef812cc0 in std::ios_base::Init::Init() (this=<optimized out>) at /build/gcc/src/gcc/libstdc++-v3/src/c++98/ios_init.cc:108
#33 0x000000010000ffff in  ()
#34 0x0000000000000063 in  ()
#35 0x8909f72af5bac700 in  ()
#36 0x0000555556dbb9c8 in  ()
#37 0x0000000000000101 in  ()
#38 0x0000555556dbb9c8 in  ()
#39 0x0000000000000001 in  ()
#40 0x0000000000000000 in  ()
(gdb)

Issue History

Date Modified Username Field Change
2018-01-20 09:04 mocha_bean New Issue
2018-01-20 09:04 mocha_bean File Added: backtrace
2018-01-20 09:29 mocha_bean Note Added: 0020121
2018-01-23 11:10 x42 Note Added: 0020130
2018-01-23 14:07 mocha_bean Note Added: 0020132
2018-01-23 14:15 mocha_bean Note Edited: 0020132 View Revisions
2018-03-08 18:27 tuxem Note Added: 0020205
2018-03-09 00:55 timbyr Note Added: 0020206
2018-03-27 20:04 somethingtohide Note Added: 0020223
2018-03-27 23:06 somethingtohide Note Added: 0020224
2018-03-27 23:33 mocha_bean Note Added: 0020225
2018-03-27 23:34 mocha_bean Note Edited: 0020225 View Revisions
2018-03-27 23:49 mocha_bean Note Added: 0020226
2018-03-27 23:57 somethingtohide Note Added: 0020227
2018-03-28 03:04 mocha_bean Note Added: 0020228
2018-03-28 04:37 mocha_bean Note Added: 0020229
2018-03-28 05:37 mocha_bean Note Added: 0020230
2018-03-28 07:28 mocha_bean Note Added: 0020231
2018-03-28 13:48 somethingtohide Note Added: 0020233
2018-03-28 21:41 mocha_bean Note Added: 0020234
2018-03-28 21:41 mocha_bean File Added: enabledebug-minimum_fatal-criticals_with-symbols_backtrace